# RoutingSpace Class Reference

`#include <RoutingSpace.hh>`

Inheritance diagram for RoutingSpace:

[legend]

List of all members.

## Public Member Functions
| RoutingSpace ()
| Constructor.
| ~RoutingSpace ()
| Destructor.
DimensionHandle | getDimensionHandle (std::string dimension_name) const throw (NameNotFound)
| Get the handle of the specified dimension.
std::string | getDimensionName (DimensionHandle dimension_handle) const throw (DimensionNotDefined)
| Get the name of the specified dimension.
size_t | size () const
| Get the number of dimensions of this space.
void | display () const
| Display (stdout) the routing space details.
void | addDimension (const Dimension &d)
| Add a dimension.
Extent | createExtent () const
## Private Attributes
std::vector< Dimension > | dimensions

## Detailed Description

Definition at line 41 of file RoutingSpace.hh.

## Constructor & Destructor Documentation

RoutingSpace | ( |  | ) |

Constructor.

Definition at line 42 of file RoutingSpace.cc.

~RoutingSpace | ( |  | ) |

Destructor.

Definition at line 46 of file RoutingSpace.cc.

## Member Function Documentation

DimensionHandle getDimensionHandle | ( | std::string | dimension_name | ) | const throw (NameNotFound)

Get the handle of the specified dimension.

Parameters:

  | dimension_name | Dimension name

Returns:
  Dimension handle

Definition at line 65 of file RoutingSpace.cc.

References RoutingSpace::dimensions.

Referenced by DataDistribution::getDimensionHandle().

string getDimensionName | ( | DimensionHandle | dimension_handle | ) | const throw (DimensionNotDefined)

Get the name of the specified dimension.

Parameters:

  | dimension_handle | Dimension handle

Returns:
  the Dimension name

Definition at line 81 of file RoutingSpace.cc.

References RoutingSpace::dimensions.

Referenced by DataDistribution::getDimensionName().

size_t size | ( |  | ) | const

Get the number of dimensions of this space.

Returns:
  Number of dimensions

Definition at line 97 of file RoutingSpace.cc.

References RoutingSpace::dimensions.

Referenced by RoutingSpace::createExtent().

void display | ( | void |  | ) | const

Display (stdout) the routing space details.

Definition at line 58 of file RoutingSpace.cc.

References Named::getName().

Here is the call graph for this function:

void addDimension | ( | const Dimension & | d | ) |

Add a dimension.

A copy of the dimension parameter is added in the routing space.

Parameters:

  `[in]` | d | Dimension to add

Definition at line 50 of file RoutingSpace.cc.

References RoutingSpace::dimensions.

Referenced by certi::fedparser::addDimension().

Extent createExtent | ( |  | ) | const

Definition at line 104 of file RoutingSpace.cc.

References RoutingSpace::dimensions, Extent::setRangeLowerBound(), Extent::setRangeUpperBound(), and RoutingSpace::size().

Referenced by RTIRegion::RTIRegion().

Here is the call graph for this function:

## Member Data Documentation

std::vector<Dimension> dimensions`[private]`

Definition at line 90 of file RoutingSpace.hh.

Referenced by RoutingSpace::addDimension(), RoutingSpace::createExtent(), RoutingSpace::getDimensionHandle(), RoutingSpace::getDimensionName(), and RoutingSpace::size().

The documentation for this class was generated from the following files:

- RoutingSpace.hh
- RoutingSpace.cc